ResearchEnvironment (My VREs Portlet 1.3.0-SNAPSHOT API)
Date: 2014-10-26

org.gcube.portlet.user.my_vres.shared

## Class ResearchEnvironment

- java.lang.Object
- - org.gcube.portlet.user.my_vres.shared.ResearchEnvironment

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    VO, VRE

      public class ResearchEnvironment
      extends Object
      implements Serializable

  Version:
    2.0 Jan 10th 2012
  Author:
    Massimiliano Assante ISTI-CNR
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResearchEnvironment()`
    `ResearchEnvironment(String name, String description, String imageURL, String groupName, String friendlyURL, UserBelonging userBelonging)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getFriendlyURL()`
    `String` | `getGroupName()`
    `String` | `getImageURL()`
    `String` | `getName()`
    `UserBelonging` | `getUserBelonging()`
    `void` | `setDescription(String description)`
    `void` | `setFriendlyURL(String friendlyURL)`
    `void` | `setGroupName(String groupName)`
    `void` | `setImageURL(String imageURL)`
    `void` | `setName(String name)`
    `void` | `setUserBelonging(UserBelonging userBelonging)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResearchEnvironment

          public ResearchEnvironment()

    - #### ResearchEnvironment

          public ResearchEnvironment(String name,
                             String description,
                             String imageURL,
                             String groupName,
                             String friendlyURL,
                             UserBelonging userBelonging)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getImageURL

          public String getImageURL()

    - #### setImageURL

          public void setImageURL(String imageURL)

    - #### getGroupName

          public String getGroupName()

    - #### setGroupName

          public void setGroupName(String groupName)

    - #### getFriendlyURL

          public String getFriendlyURL()

    - #### setFriendlyURL

          public void setFriendlyURL(String friendlyURL)

    - #### getUserBelonging

          public UserBelonging getUserBelonging()

    - #### setUserBelonging

          public void setUserBelonging(UserBelonging userBelonging)

Copyright © 2014. All Rights Reserved.